Package be.ehealth.technicalconnector.validator

# Interface TimeStampValidator

All Known Implementing Classes:
  `TimeStampValidatorImpl`

public interface TimeStampValidator
validator for the bouncy castle timestamp. Default impl : `TimeStampValidatorImpl` Factory : `TimeStampValidatorFactory`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALIASLIST`
  Deprecated.
  `static final String`
  `KEYSTORE`
  Key used by the `ConfigurableImplementation` to pass the keystore.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `validateTimeStampToken(byte[] bs, org.bouncycastle.tsp.TimeStampToken timeStampToken)`
  validates the timestamp token.
  `void`
  `validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken timeStampToken)`
  validates the timestamp token.

- ## Field Details

  - ### ALIASLIST

    @Deprecated static final String ALIASLIST
    Deprecated.
    Key used by the `ConfigurableImplementation` to pass the aliaslist of the certificates.
    See Also:
      - Constant Field Values

  - ### KEYSTORE

    static final String KEYSTORE
    Key used by the `ConfigurableImplementation` to pass the keystore.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### validateTimeStampToken

    void validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken timeStampToken) throws InvalidTimeStampException, TechnicalConnectorException
    validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid
    Parameters:
      `timeStampToken` - the `TimeStampToken`
    Throws:
      `InvalidTimeStampException` - if the timestamp was not valid
      `TechnicalConnectorException` - if another exception occured ( wrong config , ... )

  - ### validateTimeStampToken

    void validateTimeStampToken(byte[] bs, org.bouncycastle.tsp.TimeStampToken timeStampToken) throws InvalidTimeStampException, TechnicalConnectorException
    validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid
    Parameters:
      `timeStampToken` - the `TimeStampToken`
    Throws:
      `InvalidTimeStampException` - if the timestamp was not valid
      `TechnicalConnectorException` - if another exception occured ( wrong config , ... )